Package org.apache.solr.common.util

# Class ObjectReleaseTracker

java.lang.Object
org.apache.solr.common.util.ObjectReleaseTracker

@ThreadSafe public class ObjectReleaseTracker extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Map<Object,Exception>`
`OBJECTS`

## Constructor Summary

Constructors
Constructor
Description
`ObjectReleaseTracker()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`checkEmpty()`
`static void`
`clear()`
`static String`
`clearObjectTrackerAndCheckEmpty()`
`static boolean`
`release(Object object)`
`static boolean`
`track(Object object)`
`static void`
`tryClose()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### OBJECTS

public static final Map<Object,Exception> OBJECTS

## Constructor Details

### ObjectReleaseTracker

public ObjectReleaseTracker()

## Method Details

### track

public static boolean track(Object object)

### release

public static boolean release(Object object)

### clear

public static void clear()

### checkEmpty

public static String checkEmpty()

Returns:
  null if ok else error message

### tryClose

public static void tryClose()

### clearObjectTrackerAndCheckEmpty

public static String clearObjectTrackerAndCheckEmpty()

Returns:
  null if ok else error message